#ifndef FORTUNA_ACCUMULATOR_CPP
#define FORTUNA_ACCUMULATOR_CPP

#include "accumulator.h"
#include <chrono>
#include <thread>

namespace fortuna {
namespace accumulator {

auto wait_for(uint milliseconds) -> void {
	std::this_thread::sleep_for(std::chrono::milliseconds{milliseconds});
}

Accumulator::Accumulator() noexcept {
	this->Gen = nullptr;
}
Accumulator::~Accumulator() noexcept {};

} //namespace accumulator
} //namespace fortuna

#endif//FORTUNA_ACCUMULATOR_CPP
