#ifndef FORTUNA_EVENT_SCHEDULER_H
#define FORTUNA_EVENT_SCHEDULER_H

#include <chrono>

namespace fortuna {
namespace accumulator {

class EventScheduler {
public:
	virtual void schedule(std::chrono::milliseconds delay_ms) = 0;

	EventScheduler(const EventScheduler&) = delete;
	EventScheduler& operator=(const EventScheduler&) = delete;
	~EventScheduler() noexcept;
};

} //namespace accumulator
} //namespace fortuna

#endif//FORTUNA_EVENT_SCHEDULER_H

